Skip to main content
GET
/
public
/
{user_id}
/
cart
Current Cart
curl --request GET \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "uuid": "c594876e-0c55-32c8-843d-b263241e6c1a",
    "total": {
      "currency": "USD",
      "amount": "8142.00",
      "amount_minor": 814200
    },
    "sub_total": {
      "currency": "USD",
      "amount": "8142.00",
      "amount_minor": 814200
    },
    "tax_total": {
      "currency": "USD",
      "amount": "0.00",
      "amount_minor": 0
    },
    "credits_total": {
      "currency": "USD",
      "amount": "0.00",
      "amount_minor": 0
    },
    "discount_total": {
      "currency": "USD",
      "amount": "0.00",
      "amount_minor": 0
    },
    "remaining_total": {
      "currency": "USD",
      "amount": "8142.00",
      "amount_minor": 814200
    },
    "credits_eligible_amount": {
      "currency": "USD",
      "amount": "0.00",
      "amount_minor": 0
    },
    "total_before_tax": {
      "currency": "USD",
      "amount": "8142.00",
      "amount_minor": 814200
    },
    "tax_breakdown": [
      {
        "amount": {
          "currency": "USD",
          "amount": "0.00",
          "amount_minor": 0
        },
        "code": "Test Tax",
        "name": "some-tax",
        "rate": 10,
        "calculator_type": "percent"
      }
    ],
    "discount_breakdown": [
      {
        "amount": {
          "currency": "USD",
          "amount": "0.00",
          "amount_minor": 0
        },
        "code": "Test Discount",
        "name": "some-discount",
        "rate": 10,
        "calculator_type": "percent"
      }
    ],
    "expires_at": "2026-03-03T14:25:29.0000000+00:00"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

Response

200 - application/json
data
object